classification
Title: telnetlib: use selectors
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jackdied, neologix, pitrou, python-dev, vstinner
Priority: normal Keywords: needs review, patch

Created on 2013-10-05 13:16 by neologix, last changed 2013-10-21 21:09 by neologix. This issue is now closed.

Files
File name Uploaded Description Edit
telnetlib_selectors.diff neologix, 2013-10-05 13:16 review
telnetlib_selectors-1.diff neologix, 2013-10-05 21:51 review
Messages (4)
msg198986 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-10-05 13:16
The patch attached uses selector in telnetlib.
This removes a lot of duplicated code.
msg199010 - (view) Author: Charles-François Natali (neologix) * (Python committer) Date: 2013-10-05 21:51
Here's an updated patch (the previous one mistakenly removed a testcase).
msg200754 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-21 12:00
New changeset f713d9b6393c by Charles-François Natali in branch 'default':
Issue #19170: telnetlib: use selectors.
http://hg.python.org/cpython/rev/f713d9b6393c
msg200835 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2013-10-21 20:01
FYI I just create #19339: "telnetlib: time.monotonic() should be used instead of time.time() for timeout".
History
Date User Action Args
2013-10-21 21:09:57neologixsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-10-21 20:01:36vstinnersetmessages: + msg200835
2013-10-21 12:00:51python-devsetnosy: + python-dev
messages: + msg200754
2013-10-18 15:42:02neologixsetnosy: + pitrou, vstinner
2013-10-05 21:51:44neologixsetfiles: + telnetlib_selectors-1.diff

messages: + msg199010
2013-10-05 20:55:59pitrousetnosy: + jackdied
2013-10-05 13:16:09neologixcreate